<?php
require_once "lib/graphic.php";
$graphic = new graphic();
require_once "lib/configfile.php";
$configfile = new config_file();
$configfile->readconfig();
$config = $configfile->getconfig();
	
if (!isset($config->legend->legendstyle)) {
	$config->legend->legendstyle = "normal";
}
if (isset($config->autoscale)) {
	$localscale = $configfile->autoscale($config->autoscale);
} else {
	if (!isset($config->scale)) {
		$localscale = new StdClass;
		$localscale->entry[0] = new StdClass;
		$localscale->entry[0]->low = 0;
		$localscale->entry[0]->high = 100;
		$localscale->entry[0]->r = 0;
		$localscale->entry[0]->g = 128;
		$localscale->entry[0]->b = 255;
	} else {
		$localscale = $config->scale;
	}
}
switch ($config->legend->legendstyle) {
	case "line":
		$legend = $graphic->draw_legend2("Link load", $config->font, $localscale);
		break;
	default:
		$legend = $graphic->draw_legend("Traffic load", $config->font, $localscale);
		break;
}
# Generate PNG file for browser
header('Content-type: image/png');
// HTTP/1.1
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Cache-Control: post-check=0, pre-check=0", false);
// HTTP/1.0
header("Pragma: no-cache");
imagepng($legend);
imagedestroy($legend);
?>
